Bug 237855 - print/fontforge: Update to 20190413
Summary: print/fontforge: Update to 20190413
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2019-05-12 22:07 UTC by kunda
Modified: 2019-06-11 22:36 UTC (History)
2 users (show)

See Also:
cyberbotx: maintainer-feedback+


Attachments
fontforge-20190413.patch (11.25 KB, patch)
2019-05-26 03:15 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-05-12 22:07:49 UTC
Latest release: https://github.com/fontforge/fontforge/releases/tag/20190413
Comment 1 Naram Qashat 2019-05-12 22:44:30 UTC
I've been pretty busy lately, do you have a patch for this?
Comment 2 kunda 2019-05-13 01:51:22 UTC
No, I don't.
Comment 3 Naram Qashat 2019-05-26 03:15:52 UTC
Created attachment 204613 [details]
fontforge-20190413.patch

* Update to 20190413
* Update distinfo
* Rework Makefile for FREETYPE option to extract from the print/freetype2 port, to remove the need to chase that port's version all the time
* Shift some things around in Makefile to appease portlint
* Regenerate patches and remove patch-fontforge_splinefont.h
* Update pkg-plist

Changelogs:
https://github.com/fontforge/fontforge/releases/tag/20190317
https://github.com/fontforge/fontforge/releases/tag/20190413

Tested with poudriere for 11-i386, 11-amd64, 12-i386 and 12-amd64.

portlint still complains about an NLS knob, but the configure script for fontforge does not have a way to disable using gettext.

portlint also complains about possible direct uses of gmake and python... despite that those are just listed in USES. Not sure what is going on there.

The ports framework complains about a lack of LICENSE on this. I have no clue what license to put on this. The LICENSE on the GitHub for the project says it is under GPLv3 but also simultaneously under a revised BSD license? Someone who knows licensing better than I can determine this.
Comment 4 Naram Qashat 2019-05-26 03:16:17 UTC
Added a patch for 20190413.
Comment 5 commit-hook freebsd_committer 2019-06-11 22:30:21 UTC
A commit references this bug:

Author: rodrigo
Date: Tue Jun 11 22:30:15 UTC 2019
New revision: 503997
URL: https://svnweb.freebsd.org/changeset/ports/503997

Log:
  Update print/fontforge to 20190413

  * Rework FREETYPE option using print/freetype2 to get
    freetype files instead of fetching distfile directly,
    removing the need of chasing the port's version.
  * Shift some things around in Makefile to appease portlint
  * Regenerate patches and remove patch-fontforge_splinefont.h

  Changelog: https://github.com/fontforge/fontforge/releases/tag/20190317
             https://github.com/fontforge/fontforge/releases/tag/20190413

  PR:		237855
  Submitted by:	kunda <chitty_cloud@me.com>
  Approved by:	<cyberbotx@cyberbotx.com> (maintainer)

Changes:
  head/print/fontforge/Makefile
  head/print/fontforge/distinfo
  head/print/fontforge/files/patch-Makefile.am
  head/print/fontforge/files/patch-fontforge_cvexport.c
  head/print/fontforge/files/patch-fontforge_print.c
  head/print/fontforge/pkg-plist
Comment 6 Rodrigo Osorio freebsd_committer 2019-06-11 22:36:48 UTC
Committed with minor changes in the commit messages, let me know if I misunderstand. Thanks for the contribution.

Regarding the LICENSE, I think something like that will work, since both licenses apply to this project:

LICENSE=	BSD3CLAUSE GPLv3
LICENSE_COMB=   dual

See the porter handcook for more details about how tu use LICENSE 
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/licenses.html